%global momorel 1
%global srcver 0.91

Summary:	DateTime-TimeZone module for perl 
Name:		perl-DateTime-TimeZone
Version:	%{srcver}
Release:	%{momorel}m%{?dist}
License:	GPL
Group:		Development/Languages
Source0:	http://www.cpan.org/modules/by-module/DateTime/DateTime-TimeZone-%{version}.tar.gz
NoSource:	0
URL:		http://www.cpan.org/modules/by-module/DateTime/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildPreReq:	perl >= 1:5.8.8
BuildArch:	noarch
Provides:	perl(DateTime::TimeZoneCatalog)
BuildRequires:	perl-Class-Singleton
BuildRequires:	perl-Module-Build
BuildRequires:	perl-Set-Crontab
BuildRequires:	perl-Set-Infinite

%description
DateTime-TimeZone module for perl

%prep
%setup -q -n DateTime-TimeZone-%{version} 

# adjust require
for file in `grep -r "use Win32" * | cut -d : -f 1`; do
    mv $file $file.org
    sed s/"use Win32"/"#use Win32"/g $file.org > $file
    rm -f $file.org
done

%build
CFLAGS="%{optflags}" perl Makefile.PL INSTALLDIRS=vendor
make


%install
rm -rf %{buildroot}
make install PERL_INSTALL_ROOT=%{buildroot}
find %{buildroot}%{perl_vendorarch}/auto -name '.packlist' | xargs rm -f

find %{buildroot}/usr -type f -print | \
	sed "s@^%{buildroot}@@g" | \
	grep -v perllocal.pod | \
	sed -e 's,\(.*/man/.*\),\1*,' | \
	grep -v "\.packlist" > DateTime-TimeZone-%{version}-filelist
if [ "$(cat DateTime-TimeZone-%{version}-filelist)X" = "X" ] ; then
    echo "ERROR: EMPTY FILE LIST"
    exit -1
fi

%clean 
rm -rf %{buildroot}

%files -f DateTime-TimeZone-%{version}-filelist
%defattr(-,root,root)
%doc Changes README*

%changelog
* Fri Jun 12 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (0.91-1m)
- update to 0.91

* Mon May  4 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (0.90-1m)
- update to 0.90

* Sat Apr 25 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (0.89-1m)
- update to 0.89

* Sun Mar 29 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (0.86-1m)
- update to 0.86

* Sat Mar 21 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (0.85-1m)
- update to 0.85

* Mon Feb  9 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (0.84-1m)
- update to 0.84

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.83.01-2m)
- rebuild against rpm-4.6

* Sun Dec 21 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.83.01-1m)
- update to 0.8301

* Tue Oct 28 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.83-1m)
- update to 0.83

* Tue Oct 14 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.82-1m)
- update to 0.82

* Sun Oct 12 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.81-1m)
- update to 0.81

* Wed Sep 17 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.80-1m)
- update to 0.80

* Sun Aug 31 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.7904-1m)
- update to 0.7904

* Mon Aug 25 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.7903-1m)
- update to 0.7903

* Sun Jul 13 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.78-1m)
- update to 0.78

* Wed Jun  4 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.7701-1m)
- update to 0.7701

* Wed May 28 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.77-1m)
- update to 0.77

* Mon May 19 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.76-1m)
- update to 0.76

* Sat Apr 26 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.75-1m)
- update to 0.75

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.74-2m)
- rebuild against gcc43

* Wed Mar 26 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.74-1m)
- update to 0.74

* Sat Mar  9 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.73-1m)
- update to 0.73

* Tue Jan  1 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.72-1m)
- update to 0.72

* Sat Dec 29 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (0.71-1m)
- update to 0.71

* Tue Dec  4 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (0.70-1m)
- update to 0.70

* Mon Dec  3 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (0.6904-1m)
- update to 0.6904

* Fri Nov  9 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (0.6903-1m)
- update to 0.6903

* Tue Nov  6 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (0.6902-1m)
- update to 0.6902

* Sat Nov  3 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (0.6901-1m)
- update to 0.6901

* Fri Nov  2 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (0.69-1m)
- update to 0.69

* Tue Oct  2 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (0.68-1m)
- update to 0.68
- do not use %%NoSource macro

* Tue Aug 21 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (0.67-1m)
- update to 0.67

* Wed Aug 15 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (0.6603-1m)
- update to 0.6603
- adjust require

* Mon Apr 23 2007 Masahiro Takahata <takahata@momonga-linux.org>
- (0.60-2m)
- use vendor

* Wed Feb 14 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (0.60-1m)
- update to 0.60

* Fri Jan 19 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (0.59-1m)
- update to 0.59

* Tue Jan  9 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (0.58-1m)
- update to 0.58

* Tue Dec  5 2006 NARITA Koichi <pulsar@momonga-linux.org>
- (0.57-1m)
- update to 0.57

* Sun Nov 19 2006 NARITA Koichi <pulsar@momonga-linux.org>
- (0.56-1m)
- update to 0.56

* Wed Nov  8 2006 NARITA Koichi <pulsar@momonga-linux.org>
- (0.55-1m)
- update to 0.55

* Thu Nov  2 2006 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.54-1m)
- update to 0.54

* Tue Oct 24 2006 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.52-1m)
- update to 0.52

* Thu Sep 28 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.48-1m)
- spec file was autogenerated
